Skip to main content
POST
/
api
/
v1
/
audio
/
api
/
key
/
playlist
/
add
/
track
POST /api/v1/audio/api/key/playlist/add/track
curl --request POST \
  --url https://api.scoot.app/api/v1/audio/api/key/playlist/add/track \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "audioTrackId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trackKey": "<string>",
  "folder": "<string>",
  "fileSize": 123,
  "opusKey": "<string>",
  "opusSize": 123,
  "title": "<string>",
  "artists": "<string>",
  "composer": "<string>",
  "genre": "<string>",
  "album": "<string>",
  "duration": 123,
  "marketingLabel": "<string>"
}
'
import requests

url = "https://api.scoot.app/api/v1/audio/api/key/playlist/add/track"

payload = {
"audioTrackId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"trackKey": "<string>",
"folder": "<string>",
"fileSize": 123,
"opusKey": "<string>",
"opusSize": 123,
"title": "<string>",
"artists": "<string>",
"composer": "<string>",
"genre": "<string>",
"album": "<string>",
"duration": 123,
"marketingLabel": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
audioTrackId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
trackKey: '<string>',
folder: '<string>',
fileSize: 123,
opusKey: '<string>',
opusSize: 123,
title: '<string>',
artists: '<string>',
composer: '<string>',
genre: '<string>',
album: '<string>',
duration: 123,
marketingLabel: '<string>'
})
};

fetch('https://api.scoot.app/api/v1/audio/api/key/playlist/add/track', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "audioTrackId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "trackKey": "<string>",
  "folder": "<string>",
  "fileSize": 123,
  "opusKey": "<string>",
  "opusSize": 123,
  "title": "<string>",
  "artists": "<string>",
  "composer": "<string>",
  "genre": "<string>",
  "album": "<string>",
  "duration": 123,
  "marketingLabel": "<string>"
}
Adds a new track to an existing audio playlist.

Authorizations

X-API-Key
string
header
required

Query Parameters

playlistId
string<uuid>
required

Body

application/json
audioTrackId
string<uuid>
trackKey
string
folder
string
fileSize
integer
opusKey
string
opusSize
integer
title
string
artists
string
composer
string
genre
string
album
string
duration
integer
marketingLabel
string

Response

200 - application/json

OK

audioTrackId
string<uuid>
trackKey
string
folder
string
fileSize
integer
opusKey
string
opusSize
integer
title
string
artists
string
composer
string
genre
string
album
string
duration
integer
marketingLabel
string